GDB (xrefs)

Public Attributes | List of all members
add_local_symbols_data Struct Reference

## Public Attributes
struct collection_list * | collect
struct gdbarch * | gdbarch
CORE_ADDR | pc
long | frame_regno
long | frame_offset
int | count
int | trace_string

## Detailed Description

Definition at line 1022 of file tracepoint.c.

## Member Data Documentation

## ◆ collect

struct collection_list* add_local_symbols_data::collect

Definition at line 1024 of file tracepoint.c.

Referenced by collection_list::add_local_symbols(), and do_collect_symbol().

## ◆ count

int add_local_symbols_data::count

Definition at line 1029 of file tracepoint.c.

Referenced by collection_list::add_local_symbols(), do_collect_symbol(), and collection_list::stringify().

## ◆ frame_offset

long add_local_symbols_data::frame_offset

Definition at line 1028 of file tracepoint.c.

Referenced by collection_list::add_local_symbols(), and do_collect_symbol().

## ◆ frame_regno

long add_local_symbols_data::frame_regno

Definition at line 1027 of file tracepoint.c.

Referenced by collection_list::add_local_symbols(), and do_collect_symbol().

## ◆ gdbarch

struct gdbarch* add_local_symbols_data::gdbarch

Definition at line 1025 of file tracepoint.c.

Referenced by collection_list::add_local_symbols(), and do_collect_symbol().

## ◆ pc

CORE_ADDR add_local_symbols_data::pc

Definition at line 1026 of file tracepoint.c.

Referenced by collection_list::add_local_symbols(), and do_collect_symbol().

## ◆ trace_string

int add_local_symbols_data::trace_string

Definition at line 1030 of file tracepoint.c.

Referenced by collection_list::add_local_symbols(), and do_collect_symbol().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/tracepoint.c